hxt-regex-xmlschema-9.2.0.7: A regular expression library for W3C XML Schema regular expressions

Copyright | Copyright (C) 2014- Uwe Schmidt
License | MIT
Maintainer | Uwe Schmidt (uwe@fh-wedel.de)
Stability | stable
Portability | portable
Safe Haskell | Safe-Inferred
Language | Haskell2010

Text.Regex.Glob.Generic.RegexParser

Description

csh style Glob Pattern Parser for Regular Expressions

Synopsis

- parseRegex :: StringLike s => s -> GenRegex s
- parseRegexNoCase :: StringLike s => s -> GenRegex s

# Documentation

parseRegex :: StringLike s => s -> GenRegex s Source #

parse a glob pattern

parseRegexNoCase :: StringLike s => s -> GenRegex s Source #